projects
/
oweals
/
luci.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
4bbd85f
)
build: add mkbasepot.sh, convenience script to rebuild base.pot (it sources multiple...
author
Jo-Philipp Wich
<jow@openwrt.org>
Thu, 13 Jan 2011 21:48:38 +0000
(21:48 +0000)
committer
Jo-Philipp Wich
<jow@openwrt.org>
Thu, 13 Jan 2011 21:48:38 +0000
(21:48 +0000)
build/mkbasepot.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/build/mkbasepot.sh
b/build/mkbasepot.sh
new file mode 100755
(executable)
index 0000000..
48e85ca
--- /dev/null
+++ b/
build/mkbasepot.sh
@@ -0,0
+1,16
@@
+#!/bin/sh
+
+[ -d ./build ] || {
+ echo "Please execute as ./build/mkbasepot.sh" >&2
+ exit 1
+}
+
+echo -n "Updating po/templates/base.pot ... "
+
+./build/i18n-scan.pl \
+ libs/core/ libs/web/ \
+ modules/admin-core/ modules/admin-full/ \
+ themes/base/ themes/openwrt/ \
+> po/templates/base.pot
+
+echo "done"